(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      7939,        208]
NotebookOptionsPosition[      7505,        187]
NotebookOutlinePosition[      7844,        202]
CellTagsIndexPosition[      7801,        199]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, 3.600685373189396*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\n", 
 RowBox[{"port", "=", "4223"}], "\n", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<XXYYZZ\>\""}], 
  RowBox[{"(*", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], "*)"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"servo", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{"\"\<Tinkerforge.BrickServo\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Configure", " ", "two", " ", "servos", " ", "with", " ", "voltage", " ", 
    "5.5", "V"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"Servo", " ", "1"}], ":", 
     RowBox[{"Connected", " ", "to", " ", "port", " ", "0"}]}], ",", 
    RowBox[{"period", " ", "of", " ", "19.5", "ms"}], ",", 
    RowBox[{
    "pulse", " ", "width", " ", "of", " ", "1", " ", "to", " ", "2", "ms"}]}],
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"and", " ", "operating", " ", "angle"}], "-", 
    RowBox[{"100", " ", "to", " ", "100", "\[Degree]"}]}], "*)"}], "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"Servo", " ", "2"}], ":", 
     RowBox[{"Connected", " ", "to", " ", "port", " ", "5"}]}], ",", 
    RowBox[{"period", " ", "of", " ", "20", "ms"}], ",", 
    RowBox[{"pulse", " ", "width", " ", "of", " ", "0.95"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "to", " ", "1.95", "ms", " ", "and", " ", "operating", " ", "angle"}], 
    "-", 
    RowBox[{"90", " ", "to", " ", "90", "\[Degree]"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"servo", "@", 
   RowBox[{"SetOutputVoltage", "[", "5500", "]"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{"servo", "@", 
  RowBox[{"SetDegree", "[", 
   RowBox[{"0", ",", 
    RowBox[{"-", "10000"}], ",", "10000"}], "]"}]}], "\n", 
 RowBox[{"servo", "@", 
  RowBox[{"SetPulseWidth", "[", 
   RowBox[{"0", ",", "1000", ",", "2000"}], "]"}]}], "\n", 
 RowBox[{"servo", "@", 
  RowBox[{"SetPeriod", "[", 
   RowBox[{"0", ",", "19500"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"servo", "@", 
   RowBox[{"SetAcceleration", "[", 
    RowBox[{"0", ",", "1000"}], "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"Slow", " ", "acceleration"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"servo", "@", 
   RowBox[{"SetVelocity", "[", 
    RowBox[{"0", ",", "65535"}], "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"Full", " ", "speed"}], "*)"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{"servo", "@", 
  RowBox[{"SetDegree", "[", 
   RowBox[{"5", ",", 
    RowBox[{"-", "9000"}], ",", "9000"}], "]"}]}], "\n", 
 RowBox[{"servo", "@", 
  RowBox[{"SetPulseWidth", "[", 
   RowBox[{"5", ",", "950", ",", "1950"}], "]"}]}], "\n", 
 RowBox[{"servo", "@", 
  RowBox[{"SetPeriod", "[", 
   RowBox[{"5", ",", "20000"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"servo", "@", 
   RowBox[{"SetAcceleration", "[", 
    RowBox[{"5", ",", "65535"}], "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"Full", " ", "acceleration"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"servo", "@", 
   RowBox[{"SetVelocity", "[", 
    RowBox[{"5", ",", "65535"}], "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"Full", " ", "speed"}], "*)"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"servo", "@", 
   RowBox[{"SetPosition", "[", 
    RowBox[{"0", ",", "10000"}], "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"Set", " ", "to", " ", "most", " ", "right", " ", "position"}], 
   "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"servo", "@", 
   RowBox[{"Enable", "[", "0", "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"servo", "@", 
   RowBox[{"SetPosition", "[", 
    RowBox[{"5", ",", 
     RowBox[{"-", "9000"}]}], "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"Set", " ", "to", " ", "most", " ", "left", " ", "position"}], 
   "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"servo", "@", 
   RowBox[{"Enable", "[", "5", "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Clean", " ", "up"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"servo", "@", 
  RowBox[{"Disable", "[", "0", "]"}]}], "\n", 
 RowBox[{"servo", "@", 
  RowBox[{"Disable", "[", "5", "]"}]}], "\n", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "servo", "]"}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->{{3.600075175574196*^9, 3.600075177574486*^9}, {
   3.600075518821967*^9, 3.60007554243471*^9}, {3.600075580562348*^9, 
   3.600075669308506*^9}, {3.600075705822371*^9, 3.600075921974015*^9}, {
   3.6000760067507343`*^9, 3.600076009622583*^9}, {3.600077792659996*^9, 
   3.600077795613958*^9}, {3.600077854705127*^9, 3.600077855342334*^9}, {
   3.600090981053762*^9, 3.6000909897413397`*^9}, {3.600091048393783*^9, 
   3.600091071325759*^9}, {3.6000911068928633`*^9, 3.6000911072763557`*^9}, {
   3.600091413237206*^9, 3.600091428847453*^9}, {3.600091480127982*^9, 
   3.60009150669311*^9}, {3.6000915673213387`*^9, 3.6000915678002653`*^9}, {
   3.600092307925643*^9, 3.600092314241997*^9}, {3.600149020784099*^9, 
   3.6001491107582273`*^9}, {3.600149174456699*^9, 3.6001491869018793`*^9}, {
   3.600161252329417*^9, 3.600161270517737*^9}, {3.6001751050299597`*^9, 
   3.6001752269913054`*^9}, {3.600175283111157*^9, 3.60017529631222*^9}, {
   3.600500425825809*^9, 3.6005004326356916`*^9}, {3.6005005658827868`*^9, 
   3.60050056667803*^9}, {3.600506021813815*^9, 3.6005060779666643`*^9}, {
   3.600506152278829*^9, 3.6005061727773933`*^9}, {3.600607963780426*^9, 
   3.6006080340220013`*^9}, {3.600608128817329*^9, 3.600608130481505*^9}, {
   3.60060817038931*^9, 3.600608171010838*^9}, {3.60060891170606*^9, 
   3.600608950204666*^9}, {3.6007711883172197`*^9, 3.600771205436049*^9}, {
   3.6007712369207897`*^9, 3.600771288619691*^9}, {3.600772211304221*^9, 
   3.600772221484435*^9}, {3.6007723658461933`*^9, 3.600772644346344*^9}, {
   3.600772773624936*^9, 3.600772774419779*^9}, {3.6007737863287163`*^9, 
   3.600773792040226*^9}, 3.6521882711252728`*^9}]
},
WindowSize->{1521, 867},
WindowMargins->{{172, Automatic}, {64, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 602, 11, 55, "Input"],
Cell[1005, 26, 6496, 159, 935, "Input"]
}
]
*)

