(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      5794,        145]
NotebookOptionsPosition[      5369,        124]
NotebookOutlinePosition[      5702,        139]
CellTagsIndexPosition[      5659,        136]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{
  3.6001754662962093`*^9, {3.600500602461578*^9, 3.600500602779945*^9}, {
   3.600500676409213*^9, 3.600500692857397*^9}, 3.651409642939197*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\n", 
 RowBox[{"port", "=", "4223"}], "\n", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<XYZ\>\""}], 
  RowBox[{"(*", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], "*)"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"lp", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{
   "\"\<Tinkerforge.BrickletLinearPoti\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Callback", " ", "function", " ", "for", " ", "position", " ", "callback", 
    " ", 
    RowBox[{"(", 
     RowBox[{
     "parameter", " ", "has", " ", "range", " ", "0", " ", "to", " ", "100"}],
      ")"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PositionCB", "[", 
   RowBox[{"sender_", ",", "position_"}], "]"}], ":=", "\[IndentingNewLine]", 
  
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Position: \>\"", "<>", 
    RowBox[{"ToString", "[", "position", "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"AddEventHandler", "[", 
   RowBox[{
    RowBox[{"lp", "@", "Position"}], ",", "PositionCB"}], "]"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", 
   RowBox[{
   "Set", " ", "period", " ", "for", " ", "position", " ", "callback", " ", 
    "to", " ", "0.05", "s", " ", 
    RowBox[{"(", 
     RowBox[{"50", "ms"}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Note", ":", 
    RowBox[{
    "The", " ", "position", " ", "callback", " ", "is", " ", "only", " ", 
     "called", " ", "every", " ", "0.05", " ", "seconds"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "if", " ", "the", " ", "position", " ", "has", " ", "changed", " ", 
    "since", " ", "the", " ", "last", " ", 
    RowBox[{"call", "!"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp", "@", 
   RowBox[{"SetPositionCallbackPeriod", "[", "50", "]"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Clean", " ", "up"}], "*)"}]}], "\n", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "lp", "]"}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->{{3.600075175574196*^9, 3.600075177574486*^9}, {
   3.600075518821967*^9, 3.60007554243471*^9}, {3.600075580562348*^9, 
   3.600075669308506*^9}, {3.600075705822371*^9, 3.600075921974015*^9}, {
   3.6000760067507343`*^9, 3.600076009622583*^9}, {3.600077792659996*^9, 
   3.600077795613958*^9}, {3.600077854705127*^9, 3.600077855342334*^9}, {
   3.600090981053762*^9, 3.6000909897413397`*^9}, {3.600091048393783*^9, 
   3.600091071325759*^9}, {3.6000911068928633`*^9, 3.6000911072763557`*^9}, {
   3.600091413237206*^9, 3.600091428847453*^9}, {3.600091480127982*^9, 
   3.60009150669311*^9}, {3.6000915673213387`*^9, 3.6000915678002653`*^9}, {
   3.600092307925643*^9, 3.600092314241997*^9}, {3.600149020784099*^9, 
   3.6001491107582273`*^9}, {3.600149174456699*^9, 3.6001491869018793`*^9}, {
   3.600159325847857*^9, 3.6001593470369997`*^9}, {3.600159400246332*^9, 
   3.6001594542623587`*^9}, {3.60015948914436*^9, 3.600159496930849*^9}, {
   3.600159548265239*^9, 3.6001595658565407`*^9}, {3.600159646964334*^9, 
   3.6001596688233643`*^9}, {3.600159762046418*^9, 3.600159781293133*^9}, {
   3.6001598436646423`*^9, 3.600159856693261*^9}, {3.600161303594071*^9, 
   3.6001613068538027`*^9}, {3.600161380323941*^9, 3.600161392339135*^9}, {
   3.600161477386764*^9, 3.6001614810099792`*^9}, {3.600161583541798*^9, 
   3.600161609048029*^9}, {3.600161653222643*^9, 3.600161653648093*^9}, {
   3.600161726882321*^9, 3.60016174790372*^9}, {3.6001754564686623`*^9, 
   3.600175502609065*^9}, {3.600175580233206*^9, 3.600175623073368*^9}, 
   3.600175678839476*^9, {3.600175722467629*^9, 3.600175827250032*^9}, {
   3.600175902712735*^9, 3.600175913862976*^9}, {3.600500612855398*^9, 
   3.600500628060698*^9}, {3.6005006752348833`*^9, 3.600500675854513*^9}, {
   3.6005063913133993`*^9, 3.60050639379204*^9}, {3.651409622521718*^9, 
   3.6514096249554443`*^9}}]
},
WindowSize->{1136, 867},
WindowMargins->{{487, 295}, {58, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 434, 9, 55, "Input"],
Cell[837, 24, 4528, 98, 561, "Input"]
}
]
*)

